Embedded HR
Get Minimum Wage Rules
Fetch minimum wage rules for a specified work location, optionally as of a given effective date.
GET
/
minimumWageRules
Get Minimum Wage Rules
curl --request GET \
--url https://api.zeal.com/minimumWageRules \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/minimumWageRules"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/minimumWageRules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"jurisdiction": "California",
"effectiveDate": "2024-01-01",
"rate": "$16.00"
},
{
"jurisdiction": "Los Angeles, CA",
"effectiveDate": "2024-07-01",
"rate": "$17.28"
}
],
"success": true,
"testMode": false
}{}Authorizations
Query Parameters
ID of the Work Location.
ID of the Company.
Effective date of the minimum wage rules, defaults to today's date if empty.
⌘I
Get Minimum Wage Rules
